Last Comment Bug 476157 - NSS_3_11_10_WITH_CKBI_1_67_RTM for 1.8 branch
: NSS_3_11_10_WITH_CKBI_1_67_RTM for 1.8 branch
Status: RESOLVED FIXED
: fixed1.8.1.21
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: unspecified
: x86 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: Alexander Sack
:
Mentors:
: 478316 (view as bug list)
Depends on: 471715
Blocks: 478755
  Show dependency treegraph
 
Reported: 2009-01-30 06:29 PST by Alexander Sack
Modified: 2009-02-28 21:43 PST (History)
10 users (show)
dveditz: blocking1.8.1.next+
samuel.sidler+old: wanted1.8.1.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
update client.mk NSS tag (600 bytes, patch)
2009-01-30 06:32 PST, Alexander Sack
samuel.sidler+old: review+
samuel.sidler+old: approval1.8.1.next+
Details | Diff | Splinter Review

Description Alexander Sack 2009-01-30 06:29:59 PST
1.8 branch wants to pick up the NSS fix for bug 471715.

NSS_3_11_10_WITH_CKBI_1_67_RTM is what we might want for that.

Note that current NSS on 1.8 branch is NSS_3_11_9_RTM.
Comment 1 Alexander Sack 2009-01-30 06:32:08 PST
Created attachment 359745 [details] [diff] [review]
update client.mk NSS tag

currently using ffox 2 with the updated NSS .. seems to work for the use cases tested so far.
Comment 2 Alexander Sack 2009-01-30 06:37:14 PST
Samuel, what testing do you think is needed besides some insight on the changes done from 3.11.9 and .10 before we could consider to land this on branch?
Comment 3 Samuel Sidler (old account; do not CC) 2009-01-30 08:11:16 PST
Really, I'd just like a list of changes and for someone from the NSS tag to comment on the testing that's already been done.

Upping NSS on the 1.8.1 branch means our QA team needs to do some extra testing after it lands to ensure that it doesn't break anything in Thunderbird (since that's all MoCo is still shipping). Normally, things have been caught when testing Firefox, but since we aren't doing that anymore, I'm afraid we might miss something. If you (or any of the Linux distros) are putting it in your release, that might be enough testing, but Al should comment here. Al?
Comment 4 Al Billings [:abillings] 2009-01-30 11:24:47 PST
I don't have enough of a history with NSS to know what problems it has caused in the past or how it interacts with Thunderbird. My fear would be that it would destabilize Thunderbird (and potentially work by others in 1.8.1). What are the real risks with this change? What has happened when we've changed this before?
Comment 5 Alexander Sack 2009-02-02 03:13:15 PST
ok, seems like this has to wait for 1.8.1.22 as this needs some documentation (NSS changes) baking and QA for tbird and other 1.8 apps.
Comment 6 Daniel Veditz [:dveditz] 2009-02-06 11:38:23 PST
Blocking, but we do need to know what the diff is between 3.11.9 and 3.11.10 so it can be verified
Comment 7 Phil Ringnalda (:philor) 2009-02-12 18:13:30 PST
*** Bug 478316 has been marked as a duplicate of this bug. ***
Comment 8 Kai Engert (:kaie) 2009-02-17 05:59:05 PST
I don't have a list of high level changes between 3.11.9 and 3.11.10 and I'm afraid other people might not have either.

The 3.11.x branch is a highly stable branch that only receives handpicked bug fixes. It received the usual NSS testing of automated testsuite runs.

This update is also required in order to fix bug 478755.
Comment 10 Samuel Sidler (old account; do not CC) 2009-02-22 19:48:07 PST
Comment on attachment 359745 [details] [diff] [review]
update client.mk NSS tag

I looked through the changes and feel more comfortable with approving this.

Alexander: Can you make sure this gets landed by Friday?
Comment 11 Samuel Sidler (old account; do not CC) 2009-02-23 07:49:32 PST
I'm giving this to Alexander since he made the patch in this bug and ultimately needs to land it.
Comment 12 Daniel Veditz [:dveditz] 2009-02-28 21:43:02 PST
Fix checked in on the 1.8 branch

Note You need to log in before you can comment on or make changes to this bug.